GtkDatabox: Data Fields

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- adj_x : _GtkDataboxPrivate
- adj_y : _GtkDataboxPrivate

### - b -

- backing_pixmap : _GtkDataboxPrivate , _GtkDataboxRulerPrivate
- box : _GtkDatabox
- box_shadow : _GtkDataboxPrivate , _GtkDataboxRulerPrivate
- boxed : GtkDataboxMarkersInfo

### - c -

- calculate_extrema : _GtkDataboxGraphClass
- color : _GtkDataboxGraphPrivate
- create_gc : _GtkDataboxGraphClass

### - d -

- data : _GtkDataboxBarsPrivate , _GtkDataboxLinesPrivate , _GtkDataboxPointsPrivate , _GtkDataboxRegionsPrivate , _GtkDataboxOffsetBarsPrivate
- draw : _GtkDataboxGraphClass
- draw_position : _GtkDataboxRulerPrivate
- draw_subticks : _GtkDataboxRulerPrivate
- draw_ticks : _GtkDataboxRulerPrivate

### - e -

- enable_selection : _GtkDataboxPrivate
- enable_zoom : _GtkDataboxPrivate

### - g -

- gc : _GtkDataboxGraphPrivate
- graphs : _GtkDataboxPrivate

### - h -

- hide : _GtkDataboxGraphPrivate
- hline_vals : _GtkDataboxGridPrivate
- hlines : _GtkDataboxGridPrivate

### - i -

- invert_edge : _GtkDataboxRulerPrivate

### - l -

- label : GtkDataboxMarkersInfo
- label_gc : _GtkDataboxMarkersPrivate
- label_position : GtkDataboxMarkersInfo
- len : _GtkDataboxXYCGraphPrivate , _GtkDataboxXYYCGraphPrivate
- linear_format : _GtkDataboxRulerPrivate
- log_format : _GtkDataboxRulerPrivate
- lower : _GtkDataboxRulerPrivate

### - m -

- manual_tick_cnt : _GtkDataboxRulerPrivate
- manual_tick_labels : _GtkDataboxRulerPrivate
- manual_ticks : _GtkDataboxRulerPrivate
- marked : _GtkDataboxPrivate
- markers_info : _GtkDataboxMarkersPrivate
- max_length : _GtkDataboxRulerPrivate
- max_x_text_height : _GtkDataboxRulerPrivate
- max_y_text_width : _GtkDataboxRulerPrivate

### - o -

- orientation : _GtkDataboxRulerPrivate

### - p -

- parent : _GtkDataboxBars , _GtkDataboxCrossSimple , _GtkDataboxGrid , _GtkDataboxPoints , _GtkDataboxRegions , _GtkDataboxLines , _GtkDataboxXYCGraph , _GtkDataboxXYYCGraph , _GtkDataboxGraph , _GtkDataboxMarkers , _GtkDataboxOffsetBars
- parent_class : _GtkDataboxGridClass , _GtkDataboxLinesClass , _GtkDataboxMarkersClass , _GtkDataboxOffsetBarsClass , _GtkDataboxPointsClass , _GtkDataboxRegionsClass , _GtkDataboxRulerClass , _GtkDataboxXYCGraphClass , _GtkDataboxClass , _GtkDataboxXYYCGraphClass , _GtkDataboxBarsClass , _GtkDataboxCrossSimpleClass , _GtkDataboxGraphClass
- position : _GtkDataboxRulerPrivate , GtkDataboxMarkersInfo
- priv : _GtkDataboxGrid , _GtkDataboxOffsetBars , _GtkDataboxRegions , _GtkDataboxLines , _GtkDataboxGraph , _GtkDataboxBars , _GtkDataboxMarkers , _GtkDataboxXYCGraph , _GtkDataboxRuler , _GtkDataboxPoints , _GtkDatabox , _GtkDataboxCrossSimple , _GtkDataboxXYYCGraph

### - r -

- ruler_x : _GtkDataboxPrivate
- ruler_y : _GtkDataboxPrivate

### - s -

- scale_type : _GtkDataboxRulerPrivate
- scale_type_x : _GtkDataboxPrivate
- scale_type_y : _GtkDataboxPrivate
- select : _GtkDataboxPrivate
- select_gc : _GtkDataboxPrivate
- selection_active : _GtkDataboxPrivate
- selection_canceled : _GtkDataboxClass
- selection_changed : _GtkDataboxClass
- selection_finalized : _GtkDataboxPrivate , _GtkDataboxClass
- selection_started : _GtkDataboxClass
- selectionValues : _GtkDataboxPrivate
- size : _GtkDataboxGraphPrivate

### - t -

- text : GtkDataboxMarkersInfo
- text_alignment : _GtkDataboxRulerPrivate
- text_hoffset : _GtkDataboxRulerPrivate
- text_orientation : _GtkDataboxRulerPrivate
- total_bottom : _GtkDataboxPrivate
- total_left : _GtkDataboxPrivate
- total_right : _GtkDataboxPrivate
- total_top : _GtkDataboxPrivate
- translation_factor_x : _GtkDataboxPrivate
- translation_factor_y : _GtkDataboxPrivate
- type : _GtkDataboxMarkersPrivate

### - u -

- upper : _GtkDataboxRulerPrivate

### - v -

- visible_bottom : _GtkDataboxPrivate
- visible_left : _GtkDataboxPrivate
- visible_right : _GtkDataboxPrivate
- visible_top : _GtkDataboxPrivate
- vline_vals : _GtkDataboxGridPrivate
- vlines : _GtkDataboxGridPrivate

### - w -

- widget : _GtkDataboxRuler

### - x -

- X : _GtkDataboxXYCGraphPrivate , _GtkDataboxXYYCGraphPrivate
- x1 : GtkDataboxValueRectangle
- x2 : GtkDataboxValueRectangle
- xsrc : _GtkDataboxRulerPrivate

### - y -

- Y : _GtkDataboxXYCGraphPrivate
- Y1 : _GtkDataboxXYYCGraphPrivate
- y1 : GtkDataboxValueRectangle
- Y2 : _GtkDataboxXYYCGraphPrivate
- y2 : GtkDataboxValueRectangle
- ysrc : _GtkDataboxRulerPrivate

### - z -

- zoom_limit : _GtkDataboxPrivate
- zoomed : _GtkDataboxClass

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines